librime: rime::TableTranslation Class Reference

| librime 1.2 Rime Input Method Engine, the core library

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
rime::TableTranslation Class Reference

`#include <table_translator.h>`

Inheritance diagram for rime::TableTranslation:
[legend]
Collaboration diagram for rime::TableTranslation:
[legend]

## Public Member Functions
| TableTranslation (TranslatorOptions *options, const Language *language, const string &input, size_t start, size_t end, const string &preedit, DictEntryIterator &&iter={}, UserDictEntryIterator &&uter={})
virtual bool | Next ()
virtual an< Candidate > | Peek ()
Public Member Functions inherited from rime::Translation
| Translation ()=default
virtual | ~Translation ()=default
virtual int | Compare (an< Translation > other, const CandidateList &candidates)
bool | exhausted () const

## Protected Member Functions
virtual bool | FetchMoreUserPhrases ()
virtual bool | FetchMoreTableEntries ()
bool | CheckEmpty ()
bool | PreferUserPhrase ()
an< DictEntry > | PreferredEntry (bool prefer_user_phrase)
Protected Member Functions inherited from rime::Translation
void | set_exhausted (bool exhausted)

## Protected Attributes
TranslatorOptions * | options_
const Language * | language_
string | input_
size_t | start_
size_t | end_
string | preedit_
DictEntryIterator | iter_
UserDictEntryIterator | uter_

## Constructor & Destructor Documentation

## ◆ TableTranslation()

rime::TableTranslation::TableTranslation | ( | TranslatorOptions * | options,
|  | const Language * | language,
|  | const string & | input,
|  | size_t | start,
|  | size_t | end,
|  | const string & | preedit,
|  | DictEntryIterator && | iter = {},
|  | UserDictEntryIterator && | uter = {} )

## Member Function Documentation

## ◆ CheckEmpty()

bool rime::TableTranslation::CheckEmpty | ( |  | ) |
| protected

## ◆ FetchMoreTableEntries()

virtual bool rime::TableTranslation::FetchMoreTableEntries | ( |  | ) |
| inlineprotectedvirtual

Reimplemented in rime::LazyTableTranslation.

## ◆ FetchMoreUserPhrases()

virtual bool rime::TableTranslation::FetchMoreUserPhrases | ( |  | ) |
| inlineprotectedvirtual

Reimplemented in rime::LazyTableTranslation.

## ◆ Next()

bool rime::TableTranslation::Next | ( |  | ) |
| virtual

Implements rime::Translation.

## ◆ Peek()

an< Candidate > rime::TableTranslation::Peek | ( |  | ) |
| virtual

Implements rime::Translation.

Reimplemented in rime::ReverseLookupTranslation.

## ◆ PreferredEntry()

an< DictEntry > rime::TableTranslation::PreferredEntry | ( | bool | prefer_user_phrase | ) |
| inlineprotected

## ◆ PreferUserPhrase()

bool rime::TableTranslation::PreferUserPhrase | ( |  | ) |
| protected

## Member Data Documentation

## ◆ end_

size_t rime::TableTranslation::end_
| protected

## ◆ input_

string rime::TableTranslation::input_
| protected

## ◆ iter_

DictEntryIterator rime::TableTranslation::iter_
| protected

## ◆ language_

const Language* rime::TableTranslation::language_
| protected

## ◆ options_

TranslatorOptions* rime::TableTranslation::options_
| protected

## ◆ preedit_

string rime::TableTranslation::preedit_
| protected

## ◆ start_

size_t rime::TableTranslation::start_
| protected

## ◆ uter_

UserDictEntryIterator rime::TableTranslation::uter_
| protected

The documentation for this class was generated from the following files:

- table_translator.h
- table_translator.cc